/**
 * @author Rafael Ostertag <rafael.ostertag@math.uzh.ch>
 */

/* global $ */

if (!QfqNS) {
    var QfqNS = {};
}

if (!QfqNS.Element) {
    QfqNS.Element = {};
}

(function (n) {
    'use strict';

    n.getElement = function (name) {
        var $element = $('[name="' + name + '"]');
        if ($element.length === 0) {
            throw Error('No element with name "' + name + '" found.');
        }

        if ($element[0].nodeName.toLowerCase() === "select") {
            return new n.Select($element);
        }

        if (!$element[0].hasAttribute('type')) {
            return new n.Text($element);
        }

        var type = $element[0].getAttribute('type').toLowerCase();
        switch (type) {
            case 'checkbox':
                return new n.Checkbox($element);
            case 'radio':
                return new n.Radio($element);
            case 'text':
                return new n.Text($element);
            default:
                throw new Error("Don't know how to handle <input> of type '" + type + "'");
        }

    };
})(QfqNS.Element);